from django.utils.translation import gettext_lazy

try:
    from pretix.base.plugins import PluginConfig
except ImportError:
    raise RuntimeError("Please use pretix 2.7 or above to run this plugin!")

__version__ = "1.5.0"


class PluginApp(PluginConfig):
    name = "pretix_keycloak_create_user"
    verbose_name = "Keycloak user creator"

    class PretixPluginMeta:
        name = gettext_lazy("Keycloak user creator")
        author = "Fachschaft Informatik TU Dortmund"
        description = gettext_lazy(
            "Create users from pretix participants in a Keycloak realm."
        )
        visible = True
        version = __version__
        category = "FEATURE"
        compatibility = "pretix>=2.7.0"

    def ready(self):
        from . import signals  # NOQA


default_app_config = "pretix_keycloak_create_user.PluginApp"
